@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const library = await nova.criteriaLibrary.list();curl -X GET "https://embed.nova.dweet.com/v1/criteria-library" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"category": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Criteria Library
List Library Criteria
Retrieve all criteria in the tenant library
GET
/
v1
/
criteria-library
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const library = await nova.criteriaLibrary.list();curl -X GET "https://embed.nova.dweet.com/v1/criteria-library" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criteria": [
{
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"category": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Library criteria are tenant-scoped. Each of your customers has their own isolated library.
When to Use
List library criteria when:Job Setup UI
Show available library criteria when a user is configuring a new job
Criteria Picker
Let users browse and select criteria to add to a job
Response
Returns all criteria in the tenant’s library, sorted by creation date (newest first). Each criterion includes:id- Unique identifiertext- The criterion textimportance- Default importance levelcategory- Optional category for groupingcreatedAt- When it was added to the library
Filtering by category
Use thecategory query parameter to filter results:
GET /v1/criteria-library?category=engineering
Empty Library
If no criteria have been saved to the library yet, the response returns an empty array:{
"criteria": []
}
Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Query Parameters
Filter by category
Response
Library criteria
Show child attributes
Show child attributes
Was this page helpful?